Subject: Re: [PB] "no acceptable ld" : cywin32 pb, way to handle win path ?
From: [email-masked] (Gary V. Vaughan)
To: Bernard Dautrevaux <[email-masked]>
Cc: "'Geoffrey Noer'" <[email-masked]>, Mumit Khan <[email-masked]>, cygwin <[email-masked]>, Libtool List <[email-masked]>
Date: 26 Feb 1999 11:50:03 +0000

Bernard Dautrevaux <[email-masked]> writes:

> > -----Original Message-----
> > From: Geoffrey Noer [mailto:[email-masked]]
> > Sent: Friday, February 26, 1999 8:04 AM
> > To: Gary V. Vaughan
> > Cc: Mumit Khan; cygwin; Libtool List
> > Subject: Re: [PB] "no acceptable ld" : cywin32 pb, way to handle win
> > path ?
> > 
> > 
> > On Tue, Feb 23, 1999, Gary V. Vaughan wrote:
> > [...]
> > > Not a problem as such, just a change.  The current libtool 
> > converts to
> > > UNC paths which I understand are no longer supported in winsup
> > > snapshots, so I need to rejig the code a bit more.
> > 
> > This shouldn't be the case.  //<drive-letter>/ support (which
> > conflicts with UNC support for machine names of one letter) will be
> > going away but we definitely intend to continue to support UNC path
> > names.
> > 
> > If UNC support is broken in current snapshots, please let me know...
> > 
> 
> Gary, I think you were saying that libtool converts drive:/path to
> //drive/path? this is not UNC, but some a bit crazy (because it forbids
> one letter machine names, and cause network timeouts if you refer to an
> unexisting drive, like //A/ if the floppy is not inserted) cygwin
> convention. This convention is now becoming obsolete and is no more
> supported in current snapshot, and replaced by /cygdrive/drive/path
> (with cygdrive configurable in the registry).

Yes, my bad.  Thanks for the clarification.  I plan to use
drive:/path/to/executable before the next libtool release.

Cheers,
	Gary.

-- 
  ___              _   ___   __              _             
 / __|__ _ _ ___ _| | / / | / /_ _ _  _ __ _| |_  __ _ ___ 
| (_ / _` | '_|// / |/ /| |/ / _` | || / _` | ' \/ _` | _ \
 \___\__,_|_|\_, /|___(_)___/\__,_|\_,_\__, |_||_\__,_|//_/
PGP Key from/___/                      /___/               
http://www.cl.cam.ac.uk/PGP/pks-commands.html#extract      
http://pgp.ai.mit.edu/~bal/pks-commands.html#extract       

--
Want to unsubscribe from this list?
Send a message to [email-masked]